# SDPDummyMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPDummyMediaDescription:

[legend]
Collaboration diagram for SDPDummyMediaDescription:
[legend]

## Public Member Functions

| SDPDummyMediaDescription (const OpalTransportAddress &address, const PStringArray &tokens)
virtual PString | GetSDPMediaType () const
virtual PCaselessString | GetSDPTransportType () const
virtual SDPMediaFormat * | CreateSDPMediaFormat (const PString &portString)
virtual PString | GetSDPPortList () const
virtual void | Copy (SDPMediaDescription &mediaDescription)

## Constructor & Destructor Documentation

SDPDummyMediaDescription::SDPDummyMediaDescription | ( | const OpalTransportAddress & | address,
|  | const PStringArray & | tokens |
| ) |  |  |

## Member Function Documentation

virtual void SDPDummyMediaDescription::Copy | ( | SDPMediaDescription & | mediaDescription | ) | `[virtual]`

Reimplemented from SDPMediaDescription.

virtual SDPMediaFormat* SDPDummyMediaDescription::CreateSDPMediaFormat | ( | const PString & | portString | ) | `[virtual]`

Implements SDPMediaDescription.

virtual PString SDPDummyMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual PString SDPDummyMediaDescription::GetSDPPortList | ( |  | ) | const`[virtual]`

Reimplemented from SDPMediaDescription.

virtual PCaselessString SDPDummyMediaDescription::GetSDPTransportType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

The documentation for this class was generated from the following file:

- sdp.h